<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Carbon\Carbon;

class Port extends Model
{
	use SoftDeletes;
	
	protected $table = 'port';

	protected $dates = ['deleted_at'];
	
	protected $fillable = [
		'porttype_id',
        'user_id',
		'name',
		'address',
		'latitude',
		'longitud',
		'description',
		
	];
	
	public function porttype()
	{
		return $this->belongsTo('App\Porttype');
	}

	public function user()
    {
        return $this->belongsTo('App\User');
    }




	
}
